/// Server info
class ServerInfo {
  final int protocol;
  final String name;
  final String map;
  final String older;
  final String game;
  final int appid;
  final int players;
  final int maxplayers;
  final int bots;
  final String servertype;
  final String visibility;
  final int password;
  final int vac;

  ServerInfo(
      this.protocol,
      this.name,
      this.map,
      this.older,
      this.game,
      this.appid,
      this.players,
      this.maxplayers,
      this.bots,
      this.servertype,
      this.visibility,
      this.password,
      this.vac);
}

/// Basic player info
class BasePlayer {
  final int index;
  final String name;
  final int score;
  final double duration;

  BasePlayer(this.index, this.name, this.score, this.duration);
}

/// Extended(RCON) player info
class Player {
  final String userid;
  final String name;
  final String steamid;
  final String connected;
  final String ping;
  final String loss;
  final String state;
  final String rate;

  Player(this.userid, this.name, this.steamid, this.connected, this.ping,
      this.loss, this.state, this.rate);
}
